#!/bin/sh

## This script clones all the different repos


##################
# REPOS ON LIME2 #
##################

echo "Setting up Keepass..."
if [ -e ~/Keepass ]; then
  echo "${GREEN}Keepass is already there, updating...${NC}"
  cd ~/Keepass && git pull
else
  echo "${ORANGE}Cloning new Keepass...${NC}"
  cd && git clone ssh://flyingscorpio@2px.info.tm/~/repos/Keepass.git
fi

echo "Setting up Lessons..."
if [ -e ~/Lessons ]; then
  echo "${GREEN}Lessons is already there, updating...${NC}"
  cd ~/Lessons && git pull
else
  echo "${ORANGE}Cloning new Lessons...${NC}"
  cd && git clone ssh://flyingscorpio@2px.info.tm/~/repos/Lessons.git
fi

echo "Setting up PersonnalScripts..."
if [ -e ~/PersonnalScripts ]; then
  echo "${GREEN}PersonnalScripts is already there, updating...${NC}"
  cd ~/PersonnalScripts && git pull
else
  echo "${ORANGE}Cloning new PersonnalScripts...${NC}"
  cd && git clone ssh://flyingscorpio@2px.info.tm/~/repos/PersonnalScripts.git
fi

echo "Setting up RootMe..."
if [ -e ~/RootMe ]; then
  echo "${GREEN}RootMe is already there, updating...${NC}"
  cd ~/RootMe && git pull
else
  echo "${ORANGE}Cloning new RootMe...${NC}"
  cd && git clone ssh://flyingscorpio@2px.info.tm/~/repos/RootMe.git
fi

echo "Setting up SetupCockpit..."
if [ -e ~/SetupCockpit ]; then
  echo "${GREEN}SetupCockpit is already there, updating...${NC}"
  cd ~/SetupCockpit && git pull
else
  echo "${ORANGE}Cloning new SetupCockpit...${NC}"
  cd && git clone ssh://flyingscorpio@2px.info.tm/~/repos/SetupCockpit.git
fi

echo "Setting up VimConf..."
if [ -e ~/VimConf ]; then
  echo "${GREEN}VimConf is already there, updating...${NC}"
  cd ~/VimConf && git pull
else
  echo "${ORANGE}Cloning new VimConf...${NC}"
  cd && git clone ssh://flyingscorpio@2px.info.tm/~/repos/VimConf.git
fi
cd ~/VimConf && /bin/bash ~/VimConf/update.sh "$OS"


###################
# REPOS ON GITLAB #
###################

if [ ! -e ~/SRC ]; then
  mkdir ~/SRC
  echo "${ORANGE}Created ~/SRC${NC}"
fi

echo "Setting up e2li/depydoc..."
if [ -e ~/SRC/depydoc ]; then
  echo "${GREEN}depydoc is already there, updating..${NC}."
  cd ~/SRC/depydoc && git pull
else
  echo "${ORANGE}Cloning new depydoc...${NC}"
  cd ~/SRC && git clone https://gitlab.com/e2li/depydoc.git
fi

echo "Setting up 2px..."
if [ -e ~/SRC/2px ]; then
  echo "${GREEN}2px is already there, updating...${NC}"
  cd ~/SRC/2px && git pull
else
  echo "${ORANGE}Cloning new 2px...${NC}"
  cd ~/SRC && git clone https://gitlab.com/flyingscorpio/2px.git
  cd ~/SRC/2px && python3 -m venv env
  echo "
# Set own environment variables for Django
DJANGO_USER='flyingscorpio'
export DJANGO_USER
DJANGO_PASSWORD='ribosome66'
export DJANGO_PASSWORD
DJANGO_SECRET_KEY='q+hci0d5y90q)k07f@1k3qzr&w=@89n(0z0ukp)_iu(g9iws0r'
export DJANGO_SECRET_KEY" >> ~/SRC/2px/env/bin/activate
fi

echo "Setting up BlurMySearches..."
if [ -e ~/SRC/BlurMySearches ]; then
  echo "${GREEN}BlurMySearches is already there, updating...${NC}"
  cd ~/SRC/BlurMySearches && git pull
else
  echo "${ORANGE}Cloning new BlurMySearches...${NC}"
  cd ~/SRC && git clone https://gitlab.com/flyingscorpio/BlurMySearches.git
fi

echo "Setting up JsonToPython...${NC}"
if [ -e ~/SRC/JsonToPython ]; then
  echo "${GREEN}JsonToPython is already there, updating...${NC}"
  cd ~/SRC/JsonToPython && git pull
else
  echo "${ORANGE}Cloning new JsonToPython...${NC}"
  cd ~/SRC && git clone https://gitlab.com/flyingscorpio/JsonToPython.git
fi

echo "Setting up LVEL-website..."
if [ -e ~/SRC/LVEL-website ]; then
  echo "${GREEN}LVEL-website is already there, updating...${NC}"
  cd ~/SRC/LVEL-website && git pull
else
  echo "${ORANGE}Cloning new LVEL-website...${NC}"
  cd ~/SRC && git clone https://gitlab.com/flyingscorpio/LVEL-website.git
  cd ~/SRC/LVEL-website && python3 -m venv env
  echo "
# Set own environment variables for Django
DJANGO_USER='flyingscorpio'
export DJANGO_USER
DJANGO_PASSWORD='ribosome66'
export DJANGO_PASSWORD
DJANGO_SECRET_KEY='t!d6q&g1*lm-p41m=pd!o&kga9jk)wom)sr7#4-=\$oo*\$)ymtc'
export DJANGO_SECRET_KEY" >> ~/SRC/LVEL-website/env/bin/activate
fi

echo "Setting up MarioSokoban..."
if [ -e ~/SRC/MarioSokoban ]; then
  echo "${GREEN}MarioSokoban is already there, updating...${NC}"
  cd ~/SRC/MarioSokoban && git pull
else
  echo "${ORANGE}Cloning new MarioSokoban...${NC}"
  cd ~/SRC && git clone https://gitlab.com/flyingscorpio/MarioSokoban.git
fi

echo "Setting up PythonLocalBlockchain..."
if [ -e ~/SRC/PythonLocalBlockchain ]; then
  echo "${GREEN}PythonLocalBlockchain is already there, updating...${NC}"
  cd ~/SRC/PythonLocalBlockchain && git pull
else
  echo "${ORANGE}Cloning new PythonLocalBlockchain...${NC}"
  cd ~/SRC && git clone https://gitlab.com/flyingscorpio/PythonLocalBlockchain.git
fi

echo "Setting up Roboc-GUI..."
if [ -e ~/SRC/Roboc-GUI ]; then
  echo "${GREEN}Roboc-GUI is already there, updating...${NC}"
  cd ~/SRC/Roboc-GUI && git pull
else
  echo "${ORANGE}Cloning new Roboc-GUI...${NC}"
  cd ~/SRC && git clone https://gitlab.com/flyingscorpio/Roboc-GUI.git
fi

echo "Setting up Roboc-console..."
if [ -e ~/SRC/Roboc-console ]; then
  echo "${GREEN}Roboc-console is already there, updating...${NC}"
  cd ~/SRC/Roboc-console && git pull
else
  echo "${ORANGE}Cloning new Roboc-console...${NC}"
  cd ~/SRC && git clone https://gitlab.com/flyingscorpio/Roboc-console
fi

echo "Setting up SudokuSolver..."
if [ -e ~/SRC/SudokuSolver ]; then
  echo "${GREEN}SudokuSolver is already there, updating...${NC}"
  cd ~/SRC/SudokuSolver && git pull
else
  echo "${ORANGE}Cloning new SudokuSolver...${NC}"
  cd ~/SRC && git clone https://gitlab.com/flyingscorpio/SudokuSolver.git
fi

echo "Setting up TicTacToe..."
if [ -e ~/SRC/TicTacToe ]; then
  echo "${GREEN}TicTacToe is already there, updating...${NC}"
  cd ~/SRC/TicTacToe && git pull
else
  echo "${ORANGE}Cloning new TicTacToe...${NC}"
  cd ~/SRC && git clone https://gitlab.com/flyingscorpio/TicTacToe.git
fi

echo "Setting up WhitespaceInterpreter..."
if [ -e ~/SRC/WhitespaceInterpreter ]; then
  echo "${GREEN}WhitespaceInterpreter is already there, updating...${NC}"
  cd ~/SRC/WhitespaceInterpreter && git pull
else
  echo "${ORANGE}Cloning new WhitespaceInterpreter...${NC}"
  cd ~/SRC && git clone https://gitlab.com/flyingscorpio/WhitespaceInterpreter.git
fi

echo "Setting up WikipediaAcronymScraper..."
if [ -e ~/SRC/WikipediaAcronymScraper ]; then
  echo "${GREEN}WikipediaAcronymScraper is already there, updating...${NC}"
  cd ~/SRC/WikipediaAcronymScraper && git pull
else
  echo "${ORANGE}Cloning new WikipediaAcronymScraper...${NC}"
  cd ~/SRC && git clone https://gitlab.com/flyingscorpio/WikipediaAcronymScraper.git
fi
